Bug 191953 - Remote tile layers shouldn't be UIViews
Summary: Remote tile layers shouldn't be UIViews
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2018-11-25 07:36 PST by Antti Koivisto
Modified: 2018-11-27 01:14 PST (History)
7 users (show)

See Also:


Attachments
patch (15.39 KB, patch)
2018-11-25 07:49 PST, Antti Koivisto
no flags Details | Formatted Diff | Diff
patch (15.37 KB, patch)
2018-11-25 08:14 PST, Antti Koivisto
no flags Details | Formatted Diff | Diff
patch (15.21 KB, patch)
2018-11-25 11:23 PST, Antti Koivisto
no flags Details | Formatted Diff | Diff
patch (15.33 KB, patch)
2018-11-25 11:31 PST, Antti Koivisto
thorton: review+
ews-watchlist: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews121 for ios-simulator-wk2 (2.55 MB, application/zip)
2018-11-25 20:17 PST, EWS Watchlist
no flags Details
patch (15.65 KB, patch)
2018-11-26 00:05 PST, Antti Koivisto
no flags Details | Formatted Diff | Diff
patch (15.74 KB, patch)
2018-11-26 00:07 PST, Antti Koivisto
no flags Details | Formatted Diff | Diff
patch (15.78 KB, patch)
2018-11-26 00:42 PST, Antti Koivisto
no flags Details | Formatted Diff | Diff
for landing (15.77 KB, patch)
2018-11-26 23:59 PST, Antti Koivisto
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Antti Koivisto 2018-11-25 07:36:02 PST
They don't need any UIView functionality, nor do they ever have UIView children.
Comment 1 Antti Koivisto 2018-11-25 07:49:37 PST
Created attachment 355592 [details]
patch
Comment 2 Antti Koivisto 2018-11-25 08:14:33 PST
Created attachment 355594 [details]
patch
Comment 3 Antti Koivisto 2018-11-25 11:23:03 PST
Created attachment 355598 [details]
patch
Comment 4 Antti Koivisto 2018-11-25 11:31:56 PST
Created attachment 355599 [details]
patch
Comment 5 EWS Watchlist 2018-11-25 20:17:50 PST
Comment on attachment 355599 [details]
patch

Attachment 355599 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/10149492

New failing tests:
media/no-fullscreen-when-hidden.html
Comment 6 EWS Watchlist 2018-11-25 20:17:51 PST
Created attachment 355616 [details]
Archive of layout-test-results from ews121 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews121  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.6
Comment 7 Tim Horton 2018-11-25 22:15:42 PST
Comment on attachment 355599 [details]
patch

View in context: https://bugs.webkit.org/attachment.cgi?id=355599&action=review

> Source/WebKit/UIProcess/RemoteLayerTree/RemoteLayerTreeNode.mm:75
> +    if (uiView()) {

Maybe grab it and store it in a local? ('if (auto view = uiView()) [view removeFromSuperview];') It likely doesn't matter, but it seems nicer.

> Source/WebKit/UIProcess/RemoteLayerTree/RemoteLayerTreeNode.mm:95
> +NSString* RemoteLayerTreeNode::appendLayerDescription(NSString* description, CALayer* layer)

Star's on the wrong side. (seems like this file is full of that)
Comment 8 Antti Koivisto 2018-11-26 00:05:09 PST
Created attachment 355623 [details]
patch
Comment 9 Antti Koivisto 2018-11-26 00:05:30 PST
The test failure appears to be unrelated to the patch.
Comment 10 Antti Koivisto 2018-11-26 00:07:13 PST
Created attachment 355624 [details]
patch
Comment 11 Antti Koivisto 2018-11-26 00:42:38 PST
Created attachment 355625 [details]
patch
Comment 12 Antti Koivisto 2018-11-26 23:59:07 PST
Created attachment 355715 [details]
for landing
Comment 13 WebKit Commit Bot 2018-11-27 00:37:31 PST
Comment on attachment 355715 [details]
for landing

Rejecting attachment 355715 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.webkit.org', '--bot-id=webkit-cq-02', 'land-attachment', '--force-clean', '--non-interactive', '--parent-command=commit-queue', 355715, '--port=mac']" exit_code: 2 cwd: /Volumes/Data/EWS/WebKit

Logging in as commit-queue@webkit.org...
Fetching: https://bugs.webkit.org/attachment.cgi?id=355715&action=edit
Fetching: https://bugs.webkit.org/show_bug.cgi?id=191953&ctype=xml&excludefield=attachmentdata
Processing 1 patch from 1 bug.
Updating working directory
Processing patch 355715 from bug 191953.
Fetching: https://bugs.webkit.org/attachment.cgi?id=355715
Failed to run "['git', 'svn', 'dcommit', '--rmdir']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit

Committing to http://svn.webkit.org/repository/webkit/trunk ...
	M	Source/WebKit/ChangeLog

ERROR from SVN:
Item is out of date: File '/trunk/Source/WebKit/ChangeLog' is out of date
W: 733d610d44c275bb4138692d9fca9ef1a08bcbe6 and refs/remotes/origin/master differ, using rebase:
:040000 040000 e893bc8c5fe9a192314f828eaf9e298120331367 bfc2fa26c7b37ea3520ffa0f235d1a7be3453b52 M	Source
Current branch master is up to date.
ERROR: Not all changes have been committed into SVN, however the committed
ones (if any) seem to be successfully integrated into the working tree.
Please see the above messages for details.


Failed to run "['git', 'svn', 'dcommit', '--rmdir']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit

Committing to http://svn.webkit.org/repository/webkit/trunk ...
	M	Source/WebKit/ChangeLog

ERROR from SVN:
Item is out of date: File '/trunk/Source/WebKit/ChangeLog' is out of date
W: 733d610d44c275bb4138692d9fca9ef1a08bcbe6 and refs/remotes/origin/master differ, using rebase:
:040000 040000 e893bc8c5fe9a192314f828eaf9e298120331367 bfc2fa26c7b37ea3520ffa0f235d1a7be3453b52 M	Source
Current branch master is up to date.
ERROR: Not all changes have been committed into SVN, however the committed
ones (if any) seem to be successfully integrated into the working tree.
Please see the above messages for details.


Failed to run "['git', 'svn', 'dcommit', '--rmdir']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit
Updating OpenSource
Current branch master is up to date.

Full output: https://webkit-queues.webkit.org/results/10163876
Comment 14 Antti Koivisto 2018-11-27 01:13:20 PST
https://trac.webkit.org/changeset/238547/webkit
Comment 15 Radar WebKit Bug Importer 2018-11-27 01:14:28 PST
<rdar://problem/46270321>